Name: kata-agent
Version: 1.7.3
Release: 1.0.4%{?dist}
#   0.20190703.git4f912b5
Vendor:  Oracle America
Summary: Kata Containers Agent
Group:   Development/Tools
Url:     https://github.com/kata-containers/agent
License: Apache-2.0

Source0: %{name}-%{version}.tar.bz2
BuildRequires: golang >= 1.12.10
BuildRequires: pkgconfig(systemd)
BuildRequires: libudev-devel

%description
Kata Containers Agent.
Only to be included as part of kata-image.
Do not install on host systems.

%prep
%setup -q

%build
export LANG=C
export GOPATH="${PWD}/gopath/"
mkdir -p "${GOPATH}/src/github.com/kata-containers/"
ln -sf "${PWD}" "${GOPATH}/src/github.com/kata-containers/agent"
cd "${GOPATH}/src/github.com/kata-containers/agent"
make

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

%files
%license LICENSE THIRD_PARTY_LICENSES.txt
%defattr(-,root,root,-)
/usr/bin/kata-agent
/usr/lib/systemd/system/kata-agent.service
/usr/lib/systemd/system/kata-containers.target

%changelog
* Tue Oct 15 2019 Thomas Tanaka <thomas.tanaka@oracle.com> - 1.7.3-1.0.4
- Golang CVE-2019-16276

* Mon Oct 14 2019 Durai G <durai.vattakalvalasu.govindas@oracle.com> - 1.7.3-1.0.3
- added THIRD_PARTY_LICENSES.txt file

* Mon Aug 19 2019 Michael Calunod  <michael.calunod@oracle.com> - 1.7.3-1.0.2
- moved to semantic versioning for Release and added Url

* Thu Jul 11 2019 michthom <michael.a.thompson@oracle.com> - 1.7.3-1
- Added Oracle Specific Build Files for kata-agent
